aboutsummaryrefslogtreecommitdiff
path: root/2019/07/puzzle-2.sh
diff options
context:
space:
mode:
Diffstat (limited to '2019/07/puzzle-2.sh')
-rwxr-xr-x2019/07/puzzle-2.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/2019/07/puzzle-2.sh b/2019/07/puzzle-2.sh
new file mode 100755
index 0000000..4a034f7
--- /dev/null
+++ b/2019/07/puzzle-2.sh
@@ -0,0 +1,19 @@
+#!/bin/sh
+
+mkfifo pipe
+trap 'rm pipe' EXIT
+
+python -c '
+import itertools
+for p in itertools.permutations([5, 6, 7, 8, 9]):
+ print(*p)
+' | while read a b c d e
+do
+ ./machine.lisp $a 0 <pipe \
+ | ./machine.lisp $b \
+ | ./machine.lisp $c \
+ | ./machine.lisp $d \
+ | ./machine.lisp $e \
+ | tee pipe \
+ | tail -n1
+done | sort -nr | head -n1 \ No newline at end of file